@echo off
title UWP アプリケーションのインストール

cd /d "%~dp0"

set UWPApp=インテル グラフィックス・コマンド・センター
set logfile=c:\windows\temp\result_GFX.txt

echo.
echo %UWPApp% のインストール中...
echo.


dism /online /Add-ProvisionedAppxPackage /PackagePath:"%~dp09af3b54a7e97441f8082ccc83a89309b.appxbundle" /LicensePath:"%~dp09af3b54a7e97441f8082ccc83a89309b_License1.xml" /DependencyPackagePath:"%~dp0Microsoft.NET.Native.Framework.2.2_2.2.29512.0_x64__8wekyb3d8bbwe.appx" /DependencyPackagePath:"%~dp0Microsoft.NET.Native.Runtime.2.2_2.2.28604.0_x64__8wekyb3d8bbwe.appx" /DependencyPackagePath:"%~dp0Microsoft.VCLibs.140.00_14.0.33519.0_x64__8wekyb3d8bbwe.appx" /region=all > %logfile%

if %errorlevel% NEQ 0 goto error
goto end



:error
@echo off
color 47
echo. 
echo  *******************************************************
echo  *                                                     *
echo  *                                                     *
echo  *                                                     *
echo     %UWPApp% のインストールに失敗しました ！
echo  *                                                     *
echo  *                                                     *
echo  *                                                     *
echo  *******************************************************
echo.
del %logfile%
pause
exit


:end
cls
color 17
echo %UWPApp% のインストール結果
echo.
type %logfile%
echo.
echo  インストールが完了しました。
echo.
echo  5秒後に自動的に終了します。
echo.
timeout /t 5 /nobreak>nul
